
ALTER TABLE doc_documentoAtributo
ALTER COLUMN documentoAtributo varchar(8000)


GO

/****** Object:  StoredProcedure [dbo].[ins_doc_documentoAtributo]    Script Date: 10/26/2015 11:10:32 ******/
SET ANSI_NULLS OFF
GO

SET QUOTED_IDENTIFIER OFF
GO

ALTER PROCEDURE [dbo].[ins_doc_documentoAtributo]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_documentoAtributo varchar(8000),
		@p_documentoAtributo_codigo varchar(100),
		@p_id_documento int,
		@p_id_atributo int,
		@p_id_opcionAtributo int
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [doc_documentoAtributo]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[documentoAtributo],
			[documentoAtributo_codigo],
			[id_documento],
			[id_atributo],
			[id_opcionAtributo])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_documentoAtributo,
			@p_documentoAtributo_codigo,
			@p_id_documento,
			@p_id_atributo,
			@p_id_opcionAtributo)
		SET @v_id = scope_identity()
UPDATE [doc_documentoAtributo] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END

GO

GO

ALTER PROCEDURE [dbo].[upd_doc_documentoAtributo]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_documentoAtributo varchar(8000) = null,
		@p_documentoAtributo_codigo varchar(100) = null,
		@p_id_documento int = null,
		@p_id_atributo int = null,
		@p_id_opcionAtributo int = null
AS
BEGIN
		UPDATE [doc_documentoAtributo]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[documentoAtributo] = isnull(@p_documentoAtributo,[documentoAtributo]),
			[documentoAtributo_codigo] = isnull(@p_documentoAtributo_codigo,[documentoAtributo_codigo]),
			[id_documento] = isnull(@p_id_documento,[id_documento]),
			[id_atributo] = isnull(@p_id_atributo,[id_atributo]),
			[id_opcionAtributo] = isnull(@p_id_opcionAtributo,[id_opcionAtributo])
		WHERE (id = @p_id)
END

GO





